> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List downloads



## OpenAPI

````yaml /openapi.yaml get /downloads
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Responses are decorated by proxy middleware
    (Fields, Links, Permissions, etc.). Use `?fields=` to request specific
    fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
paths:
  /downloads:
    get:
      tags:
        - Downloads
      summary: List downloads
      parameters:
        - name: X-Range
          in: header
          required: true
          schema:
            type: string
            default: resources=0-9
          description: Pagination range (e.g. resources=0-9, resources=10-19)
        - name: q
          in: query
          schema:
            type: string
        - name: studios
          in: query
          schema:
            type: string
        - name: projects
          in: query
          schema:
            type: string
        - name: types
          in: query
          schema:
            type: string
        - name: user
          in: query
          schema:
            type: string
        - name: created
          in: query
          schema:
            type: string
        - name: type
          in: query
          schema:
            type: string
        - name: order
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DownloadsResponse'
components:
  schemas:
    DownloadsResponse:
      type: object
      properties:
        _id:
          type: string
          example: 53fc583af4bd32010a8b458f
        asset:
          type: object
          properties:
            _id:
              type: string
              example: 533cee141d06c48a4a8b456a
            name:
              type: string
              example: Int'l Trailer G
            type:
              type: string
              example: trailer.intl
        project:
          type: object
          properties:
            _id:
              type: string
              example: 533a246ad86a15c01c8b456a
            name:
              type: string
              example: Noah
        file:
          type: object
          properties:
            _id:
              type: string
              example: 534853d7d86a15636e8b4576
            asset:
              type: string
              example: 533cee141d06c48a4a8b456a
            name:
              type: string
              example: NOAH_ITR-G_ENG-AU_PRORES_PAL-16X9.mov
            project:
              type: string
              example: 533a246ad86a15c01c8b456a
            studio:
              type: string
              example: 51e1495bd5cddc8041000000
        created:
          type: integer
          example: 1409046586
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````